set vgfilemenu_items {
if { [ GuidoSSIOption get "product"] != "STATISTICS" } {
GuidoScript scripts/menus/vgfilenew.tcl
}
if {![string match gems* [string tolower [GuidoSSIOption get "product_title"]]]} {
GuidoScript scripts/menus/vgfileopen.tcl
GuidoSeparator sep1 {
}
GuidoScript scripts/menus/vgfilesave.tcl
}
GuidoScript scripts/menus/vgfilesaveas.tcl
GuidoSeparator sep2 {
}
if { [ GuidoSSIOption get "product"] != "STATISTICS" } {
GuidoMenuItem close_frame {
-label "Close"
-ui_active
-command client "CLOSE FRAME"
}
} else {
if {[string match gems* [string tolower [GuidoSSIOption get "product_title"]]]} {
GuidoMenuItem close_frame {
-label "Return to GEMS"
-ui_active
-command client "EXIT FRAME"
}
} else {
GuidoMenuItem close_frame {
-label "Exit"
-ui_active
-command client "EXIT FRAME"
}
}
}
}
GuidoMenu vgfilemenu {
-label "File"
-delayed_script $vgfilemenu_items
}
